Skip to main content
GET
/
api
/
bash
/
bash_events
/
search
Search Bash Events
curl --request GET \
  --url https://api.example.com/api/bash/bash_events/search
import requests

url = "https://api.example.com/api/bash/bash_events/search"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/bash/bash_events/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "items": [
    {
      "command": "<string>",
      "kind": "<string>",
      "cwd": "<string>",
      "timeout": 300,
      "id": "<string>",
      "timestamp": "2023-11-07T05:31:56Z"
    }
  ],
  "next_page_id": "<string>"
}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}

Query Parameters

kind__eq
enum<string> | null
Available options:
BashCommand,
BashOutput
command_id__eq
string<uuid> | null
timestamp__gte
string<date-time> | null
timestamp__lt
string<date-time> | null
order__gt
integer | null

Only returns BashOutput events with order > this value. Useful for polling to fetch only new events since the last poll.

sort_order
enum<string>
default:TIMESTAMP
Available options:
TIMESTAMP,
TIMESTAMP_DESC
page_id
string | null
limit
integer
default:100

Response

Successful Response

items
(BashCommand · object | BashOutput · object)[]
required
next_page_id
string | null